using System.Xml.Serialization;

namespace Domain.XML_Model
{
    [Serializable]
    [XmlRoot(ElementName = "carrières")]
    public class Carrière : BaseEntity
    {

        [XmlAttribute(AttributeName = "id")]
        public string Id { get; set; }

        [XmlAttribute(AttributeName = "nom")]
        public string? Nom { get; set; }

        [XmlAttribute(AttributeName = "effet")]
        public string? Effet { get; set; }

        [XmlAttribute(AttributeName = "types_mondes_autorisés")]
        public string? TypesMondesAutorisés { get; set; }

        [XmlAttribute(AttributeName = "description")]
        public string? Description { get; set; }
        [XmlIgnore] public int CarrièreId { get; set; }
    }


}
